Name:		xfce4-dict-plugin
Version:	0.3.0
Release:	1%{?dist}
Summary:	A Xfce panel plugin to query a Dict server

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.3.99.1, libxfcegui4-devel >= 4.3.90.2
BuildRequires:	libxml2-devel, gettext, perl(XML::Parser)
Requires:	xfce4-panel >= 4.4.0

%description
With this plugin you can query a dictionary server (see RFC 2229) to search 
for the translation or explanation of a word. You can also choose a dictionary 
offered by the server to improve your search results.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/xfce4-popup-dict
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/scalable/apps/dict-icon.svg

%changelog
* Sun Mar 09 2008 Christoph Wickert <fedora christoph-wickert de> - 0.3.0-1
- Update to 0.3.0

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.1-4
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <fedora christoph-wickert de> - 0.2.1-3
- Rebuild for BuildID feature
- Update license tag

* Sat Apr 28 2007 Christoph Wickert <fedora christoph-wickert de> - 0.2.1-2
- Rebuild for Xfce 4.4.1

* Mon Jan 22 2007 Christoph Wickert <fedora christoph-wickert de> - 0.2.1-1
- Update to 0.2.1 on Xfce 4.4.
- Update gtk-icon-cache scriptlets.

* Sun Nov 12 2006 Christoph Wickert <fedora christoph-wickert de> - 0.2.0-2
- Add %%defattr (#215169).

* Sat Nov 11 2006 Christoph Wickert <fedora christoph-wickert de> - 0.2.0-1
- Update to 0.2.0.

* Sat Sep 23 2006 Christoph Wickert <fedora christoph-wickert de> - 0.1.0-1
- Initial Fedora Extras version.
